import java.awt.*;
import java.awt.event.*; 
import javax.swing.*; 
import javax.swing.event.*;
import java.util.*;

/**
 * Tiene dos funciones principales
 * 1.- Administra la ejecucin de cada ventana de JPostIt
 * 2.- Decodifica el teclado para abrir otra ventana
 */
public class SuperAdministrator extends KeyAdapter
{
 /**
  * Instancia de Administrator, clase que administra cada ventana
  * por separado y sus funciones
  */
 private Administrator adm;
 /**
  * Coordenadas de localizacin de la esquina superior izquierda
  * del marco un objeto Administrator
  */
 private int x, y;

/**
 * Constructor. Se crea una instancia de Administrator,
 * es decir, una ventana de JPI.
 */
public SuperAdministrator()
{
 x = 0; y = 0;
 adm = new Administrator();
 adm.getPost().getPanel().getPapel().addKeyListener(this);
}

/**
 * Atiende el evento de oprimir una tecla. Se sobremonta
 * el mtodo de la clase abstracta KeyAdapter, de la cual
 * hereda esta clase
 * @param e Evento de teclado
 */
public void keyPressed(KeyEvent e)
 {
  if (e.getKeyCode() == KeyEvent.VK_F2) 
  { adm = new Administrator();
    adm.getPost().getMarco().setLocation(x+=20, y+=20);
    adm.getPost().getPanel().getPapel().addKeyListener(this); }
 }

}
